Bug 451891 - qpidc-perftest package need file permissions explicitly set (warning: user brewbuilder does not exist - using root)
qpidc-perftest package need file permissions explicitly set (warning: user br...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: distribution (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Nuno Santos
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 19:44 EDT by Jeff Needle
Modified: 2013-09-12 18:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-07 12:42:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Needle 2008-06-17 19:44:01 EDT
The qpidc-perftest package gives warnings on install.  To quote the brewmaster
himself:

<mikeb> jeff: nothing in the packages should be owned by brewbuilder
<mikeb> jeff: someone screwed up their %files section

# up2date qpidc-perftest

Fetching Obsoletes list for channel: rhel-i386-as-4...

Fetching Obsoletes list for channel: rhel-i386-as-4-mrg-messaging-base-1...

Fetching Obsoletes list for channel: rhel-i386-as-4-mrg-messaging-1...

Fetching Obsoletes list for channel: rhel-i386-as-4-mrg-grid-1...

Fetching Obsoletes list for channel: rhel-i386-as-4-mrg-management-1...

Fetching rpm headers...
########################################

Name                                    Version        Rel
----------------------------------------------------------
qpidc-perftest                          0.2.667603     16.el4            i386


Testing package set / solving RPM inter-dependencies...
########################################
qpidc-perftest-0.2.667603-1 ########################## Done.
Preparing              ########################################### [100%]

Installing...
   1:qpidc-perftest         warning: user brewbuilder does not exist - using root
warning: group brewbuilder does not exist - using root
warning: user brewbuilder does not exist - using root
warning: group brewbuilder does not exist - using root
warning: user brewbuilder does not exist - using root
warning: group brewbuilder does not exist - using root
warning: user brewbuilder does not exist - using root
warning: group brewbuilder does not exist - using root
########################################### [100%]
Comment 1 Nuno Santos 2009-02-09 15:46:54 EST
Looks like this is fixed in the latest package (maybe even earlier):

[nsantos@localhost ~]$ sudo yumdownloader qpidc-perftest --enablerepo=mrg-candidates
Loaded plugins: refresh-packagekit
qpidc-perftest-0.4.741135-1.el5.i386.rpm                                  | 250 kB     00:00     

[nsantos@localhost ~]$ sudo rpm -ivh qpidc-perftest-0.4.741135-1.el5.i386.rpm --nodeps
Preparing...                ########################################### [100%]
   1:qpidc-perftest         ########################################### [100%]
[nsantos@localhost ~]$
Comment 2 Martin Kudlej 2009-04-21 05:44:55 EDT
Tested on RHEL 4.7/5.3 qpidc-perftest-0.5.752581-5 and it works fine. -->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.